"""
This vi conatins a list of procedures needed to load in the variables
"""

def _2darrayval(spiceref,viname,varname,row,column):
    viref=spiceref.GetVIReference(viname)
    varvalue=viref.GetControlValue(varname)
    varrow=varvalue[row]
    ret_val=varrow[column]
    return ret_val

def _singlevalue(spiceref,viname,varname):
    viref=spiceref.GetVIReference(viname)
    varvalue=viref.GetControlValue(varname)
    return varvalue

def _1darrayval(spiceref,viname,varname,index):
    viref=spiceref.GetVIReference(viname)
    varvalue=viref.GetControlValue(varname)
    ret_val=varvalue[index]
    return ret_val
